Name:           upower
Version:        0.99.8
Release:        5
Summary:        Power Management Service
License:        GPLv2+
URL:            http://upower.freedesktop.org/

Source0:        https://gitlab.freedesktop.org/upower/upower/uploads/9125ab7ee96fdc4ecc68cfefb50c1cab/%{name}-%{version}.tar.xz

Patch0:         0001-daemon-Fix-upower-not-having-access-to-udev-events.patch

BuildRequires:  sqlite-devel libtool intltool gettext libgudev1-devel gobject-introspection-devel gtk-doc systemd libxslt
BuildRequires:  libusbx-devel libimobiledevice-devel glib2-devel >= 2.6.0
Requires:       gobject-introspection udev

%description
UPower is an abstraction for enumerating power devices, listening to
device events and querying history and statistics. Any application or
service on the system can access the org.freedesktop.UPower service
via the system message bus. Some operations (such as suspending the
system) are restricted using PolicyKit.

%package devel
Summary: Headers and libraries for UPower
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for %{name}.

%package devel-docs
Summary: Developer documentation for for libupower-glib
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description devel-docs
Developer documentation for for libupower-glib.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-gtk-doc --enable-introspection

make

%install
%make_install

%find_lang upower

%ldconfig_scriptlets

%files -f upower.lang
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc NEWS AUTHORS HACKING README
%{_libdir}/libupower-glib.so.*
%{_sysconfdir}/dbus-1/system.d/*.conf
/usr/lib/udev/rules.d/*.rules
%dir %{_localstatedir}/lib/upower
%dir %{_sysconfdir}/UPower
%config %{_sysconfdir}/UPower/UPower.conf
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/girepository-1.0/*.typelib
%{_mandir}/man*
%{_datadir}/dbus-1/system-services/*.service
/usr/lib/systemd/system/*.service
%exclude %{_libdir}/*.la
%exclude %{_libdir}/*.a


%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_libdir}/libupower-glib.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%dir %{_includedir}/libupower-glib
%{_includedir}/libupower-glib/up-*.h
%{_includedir}/libupower-glib/upower.h

%files devel-docs
%{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html/UPower
%{_datadir}/gtk-doc/html/UPower/*

%changelog
* Wed Nov 20 2019 mengxian <mengxian@huawei.com> - 0.99.8-5
- Fix compilation problem in x86_64

* Fri Aug 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.99.8-4
- Package init
